Subject: Re: [Srcomp] [spring] New drafts from SRCOMP design team

From: "Weiqiang Cheng" <[email-masked]>
Date: Tue, 2 Mar 2021 13:27:36 +0800

Hi Rishabh,

Thanks for your comments.

It is good point, and DT will consider the it in.

B.R.

Weiqiang Cheng

发件人: spring [mailto:[email-masked]] 代表 Rishabh Parekh
发送时间: 2021年2月27日 01:50
收件人: Weiqiang Cheng
抄送: [email-masked]; SPRING WG List
主题: Re: [spring] New drafts from SRCOMP design team

Weiqiang,

Text quoted below from the SPRING charter indirectly covers Point-to-Multipoint requirement which is addressed by SR Replication Segment draft https://datatracker.ietf.org/doc/draft-ietf-spring-sr-replication-segment/

New types of segments mapping to forwarding behaviour (e.g., local
ingress replication, local forwarding resources, a pre-existing
replication structure) if needed for new usages.

For the Point-to-Multipoint compression requirement, what exactly is "multicast address" in the Metric? Is this an IPv6 multicast address? If so, it really does not conform to SRv6 data plane. 

I would rather consider the SRv6 Replication SID, described in the latest version of SR Replication segment draft, to be the Metric for measuring P2MP requirement. Maybe we should also consider adding it to SRv6 Functionality Section 4.2.1 of the compression requirements draft.

-Rishabh

On Thu, Feb 25, 2021 at 9:25 AM Weiqiang Cheng <[email-masked]> wrote:

Hi All,

Two drafts have been submitted.  Please review them and any comments are welcomed.

Compression requirement draft -04 version provided two more requirements: 

https://www.ietf.org/archive/id/draft-srcompdt-spring-compression-requirement-04.txt

Compression analysis draft -00 provided a skeleton for the analysis of 4 candidate proposals.

https://www.ietf.org/archive/id/draft-srcompdt-spring-compression-analysis-00.txt

B.R.

Weiqiang

_______________________________________________
spring mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/spring

---

From: Ron Bonica <[email-masked]>
Date: Tue, 2 Mar 2021 17:09:11 +0000

Rishabh,

Is Section 2 of the SR replication segment draft compliant with Section 2.7 of RFC 4291? Could it be brought into compliance by using the high order 16 bits that RFC 4291 recommends?

                                                                           Ron

Juniper Business Use Only
From: Srcomp <[email-masked]> On Behalf Of Weiqiang Cheng
Sent: Tuesday, March 2, 2021 12:28 AM
To: 'Rishabh Parekh' <[email-masked]>
Cc: [email-masked]; 'SPRING WG List' <[email-masked]>
Subject: Re: [Srcomp] [spring] New drafts from SRCOMP design team

[External Email. Be cautious of content]

Hi Rishabh,

B.R.
Weiqiang Cheng

发件人: spring [mailto:[email-masked]] 代表 Rishabh Parekh
发送时间: 2021年2月27日 01:50
收件人: Weiqiang Cheng
抄送: [email-masked]<mailto:[email-masked]>; SPRING WG List
主题: Re: [spring] New drafts from SRCOMP design team

Weiqiang,
Text quoted below from the SPRING charter indirectly covers Point-to-Multipoint requirement which is addressed by SR Replication Segment draft https://datatracker.ietf.org/doc/draft-ietf-spring-sr-replication-segment/<https://urldefense.com/v3/__https:/datatracker.ietf.org/doc/draft-ietf-spring-sr-replication-segment/__;!!NEt6yMaO-gk!VjURp3oglqwAJJ06ixqEz0o9WjgWaU6W5fQ7MthNrQdg-dWAsLJnab_Ce0i_WdUG$>

-Rishabh

On Thu, Feb 25, 2021 at 9:25 AM Weiqiang Cheng <[email-masked]<mailto:[email-masked]>> wrote:
Hi All,
Two drafts have been submitted.  Please review them and any comments are welcomed.

https://www.ietf.org/archive/id/draft-srcompdt-spring-compression-requirement-04.txt<https://urldefense.com/v3/__https:/www.ietf.org/archive/id/draft-srcompdt-spring-compression-requirement-04.txt__;!!NEt6yMaO-gk!VjURp3oglqwAJJ06ixqEz0o9WjgWaU6W5fQ7MthNrQdg-dWAsLJnab_Ce1UWnkzI$>

Compression analysis draft -00 provided a skeleton for the analysis of 4 candidate proposals.
https://www.ietf.org/archive/id/draft-srcompdt-spring-compression-analysis-00.txt<https://urldefense.com/v3/__https:/www.ietf.org/archive/id/draft-srcompdt-spring-compression-analysis-00.txt__;!!NEt6yMaO-gk!VjURp3oglqwAJJ06ixqEz0o9WjgWaU6W5fQ7MthNrQdg-dWAsLJnab_Ce4mNqDYS$>

B.R.
Weiqiang
_______________________________________________
spring mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/spring<https://urldefense.com/v3/__https:/www.ietf.org/mailman/listinfo/spring__;!!NEt6yMaO-gk!VjURp3oglqwAJJ06ixqEz0o9WjgWaU6W5fQ7MthNrQdg-dWAsLJnab_Ce6GLiq7Z$>

---

From: "Weiqiang Cheng" <[email-masked]>
Date: Sun, 7 Mar 2021 21:26:13 +0800

Hi Chairs,
We prepared some slides for status report on SRCOMP design team. 
Please review it and let us know your comments.

B.R.
Weiqiang Cheng

-----邮件原件-----
发件人: Bob Hinden [mailto:[email-masked]] 
发送时间: 2021年3月1日 14:12
收件人: Weiqiang Cheng
抄送: Bob Hinden; srcomp; Ole Trøan
主题: Re: [spring] New drafts from SRCOMP design team

Great!   Will do.

Bob

> On Feb 28, 2021, at 10:00 PM, Weiqiang Cheng <[email-masked]> wrote:
> 
> Hi Bob,
> No Problem.
> We can prepare a report to 6MAN.
> Could you help book 15min slot for us?
> 
> B.R.
> Weiqiang Cheng
> 
> -----邮件原件-----
> 发件人: Bob Hinden [mailto:[email-masked]]
> 发送时间: 2021年2月28日 00:50
> 收件人: Weiqiang Cheng
> 抄送: Bob Hinden; srcomp; Ole Trøan
> Could you or someone from the design team prepare a status report on the SRCOMP design team and present it at the 6MAN IETF110 session?  It would be very helpful.
> 
> Bob
> 
> 
>> On Feb 25, 2021, at 9:23 AM, Weiqiang Cheng <[email-masked]> wrote:
>> 
>> Hi All,

---

From: "Weiqiang Cheng" <[email-masked]>
Date: Mon, 8 Mar 2021 10:08:53 +0800

Hi Bob,
My personal comments are in-line.

B.R.
Weiqiang Cheng

-----邮件原件-----
发件人: Bob Hinden [mailto:[email-masked]] 
发送时间: 2021年3月8日 02:41
收件人: Weiqiang Cheng
抄送: Bob Hinden; Ole Trøan; srcomp
主题: Re: [spring] New drafts from SRCOMP design team

Weiqiang,

Thanks.  A few things to clarify:

Suggest making it clearer that the w.g. review is for Spring, for example:

   s/WG Review/Spring WG Review/

[Weiqiang] Ok, I will update the slides.

Is the goal to adopt and publish both drafts?

[Weiqiang] Yes, we hope SPRING WG can adopt the both drafts when they are ready.
The both drafts provide useful information of compression direction.

Will the design team recommend one of the four drafts?

[Weiqiang] We will provide the analysis result for the community, which will be useful reference for working group to decide how we go forward.

Any specific guidance for 6man for CRH?  Our adoption call is still open.

[Weiqiang] We don't intend to provide specific guidance for any proposals. The information provided by SRCOMP design team can be used as the input for 6man wg.

Bob

> On Mar 7, 2021, at 5:26 AM, Weiqiang Cheng <[email-masked]> wrote:
> 
> Hi Chairs,
> <ietf 110-spring-srcomp-status-report-for-6man.pdf>

---

From: Bob Hinden <[email-masked]>
Date: Sat, 27 Feb 2021 08:50:16 -0800

Weiqiang,

Bob

---

From: Bob Hinden <[email-masked]>
Date: Sun, 28 Feb 2021 22:12:26 -0800

Great!   Will do.

Bob

---

From: Bob Hinden <[email-masked]>
Date: Sun, 7 Mar 2021 10:40:33 -0800

Weiqiang,

Bob

---

From: Bob Hinden <[email-masked]>
Date: Sun, 7 Mar 2021 10:51:43 -0800

Also, include the file names of the requirements and analysis drafts.

Bob

> On Mar 7, 2021, at 10:40 AM, Bob Hinden <[email-masked]> wrote:
> 
> Weiqiang,
>

---

From: "Weiqiang Cheng" <[email-masked]>
Date: Mon, 8 Mar 2021 10:14:03 +0800

OK, thanks.

-----邮件原件-----
发件人: Srcomp [mailto:[email-masked]] 代表 Bob Hinden
发送时间: 2021年3月8日 02:52
收件人: Weiqiang Cheng
抄送: srcomp; Ole Trøan; Bob Hinden
主题: Re: [Srcomp] [spring] New drafts from SRCOMP design team

Bob

---

From: "Weiqiang Cheng" <[email-masked]>
Date: Tue, 9 Mar 2021 18:08:09 +0800

Hi Bob,
According to the comments, I updated the slides, please review it.

B.R.
Weiqiang Cheng

-----邮件原件-----
发件人: Bob Hinden [mailto:[email-masked]] 
发送时间: 2021年3月8日 02:52
收件人: Weiqiang Cheng
抄送: Bob Hinden; Ole Trøan; srcomp
主题: Re: [spring] New drafts from SRCOMP design team

Bob